buffer_putflush(3)

NAME
buffer_putflush - write binary data to buffer and flush

SYNTAX
#include <libowfat/buffer.h> int buffer_putflush(buffer* b,
                    const char* x,size_t len);

DESCRIPTION
buffer_putflush is similar to calling buffer_put(b,x,len) and then buffer_flush(b).

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
buffer_put(3), buffer_flush(3), buffer(3)